All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Perspective Transform Utility Functions
Perspective Transform

## Functions

NppStatus | nppiGetPerspectiveTransform (NppiRect oSrcROI, const double quad[4][2], double aCoeffs[3][3])
| Calculates perspective transform coefficients given source rectangular ROI and its destination quadrangle projection. More...
NppStatus | nppiGetPerspectiveQuad (NppiRect oSrcROI, double quad[4][2], const double aCoeffs[3][3])
| Calculates perspective transform projection of given source rectangular ROI. More...
NppStatus | nppiGetPerspectiveBound (NppiRect oSrcROI, double bound[2][2], const double aCoeffs[3][3])
| Calculates bounding box of the perspective transform projection of the given source rectangular ROI. More...

## Detailed Description

## Function Documentation

NppStatus nppiGetPerspectiveBound | ( | NppiRect | oSrcROI,
|  | double | bound[2][2],
|  | const double | aCoeffs[3][3]
| ) |  |

Calculates bounding box of the perspective transform projection of the given source rectangular ROI.

Parameters

  oSrcROI | Source ROI
  bound | Bounding box of the transformed source ROI
  aCoeffs | Perspective transform coefficients

Returns
  Error codes:
  - NPP_SIZE_ERROR Indicates an error condition if any image dimension has zero or negative value
  - NPP_RECTANGLE_ERROR Indicates an error condition if width or height of the intersection of the oSrcROI and source image is less than or equal to 1
  - NPP_COEFFICIENT_ERROR Indicates an error condition if coefficient values are invalid

NppStatus nppiGetPerspectiveQuad | ( | NppiRect | oSrcROI,
|  | double | quad[4][2],
|  | const double | aCoeffs[3][3]
| ) |  |

Calculates perspective transform projection of given source rectangular ROI.

Parameters

  oSrcROI | Source ROI
  quad | Destination quadrangle
  aCoeffs | Perspective transform coefficients

Returns
  Error codes:
  - NPP_SIZE_ERROR Indicates an error condition if any image dimension has zero or negative value
  - NPP_RECTANGLE_ERROR Indicates an error condition if width or height of the intersection of the oSrcROI and source image is less than or equal to 1
  - NPP_COEFFICIENT_ERROR Indicates an error condition if coefficient values are invalid

NppStatus nppiGetPerspectiveTransform | ( | NppiRect | oSrcROI,
|  | const double | quad[4][2],
|  | double | aCoeffs[3][3]
| ) |  |

Calculates perspective transform coefficients given source rectangular ROI and its destination quadrangle projection.

Parameters

  oSrcROI | Source ROI
  quad | Destination quadrangle
  aCoeffs | Perspective transform coefficients

Returns
  Error codes:
  - NPP_SIZE_ERROR Indicates an error condition if any image dimension has zero or negative value
  - NPP_RECTANGLE_ERROR Indicates an error condition if width or height of the intersection of the oSrcROI and source image is less than or equal to 1
  - NPP_COEFFICIENT_ERROR Indicates an error condition if coefficient values are invalid

Copyright © 2009-2019 NVIDIA Corporation